%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: An interface to Twitter API functions for Python
Name: python-twyt
Version: 0.8.5
Release: 1%{?dist}
Group: System Environment/Libraries
License: BSD
URL: http://andrewprice.me.uk/projects/twyt/
Source: http://andrewprice.me.uk/projects/twyt/download/twyt-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python
BuildRequires: python-devel
Requires: python-simplejson
BuildArch: noarch

%description
The twyt python module provides an interface to the remote Twitter API
functions and classes to allow easy manipulation of the returned sets of data,
such as status messages and user information.

This package also provides an example command line Twitter client called twyt
which utilises the provided modules.

%prep
%setup -q -n twyt-%{version}

%build
python setup.py build
%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README APITODO GUIHOWTO LICENSE
%dir %{python_sitelib}/twyt
%attr(755,root,root) %{_bindir}/twyt
%{python_sitelib}/twyt/*
%{_datadir}/man/man1/twyt.1.gz
%if 0%{?fedora} >= 9
%{python_sitelib}/*.egg-info
%endif

%changelog
* Sun May 18 2008 Andy Price <andy@andrewprice.me.uk> - 0.8.5-1
- Updated to 0.8.5
* Mon Jan 28 2008 Andy Price <andy@andrewprice.me.uk> - 0.8-1
- Updated to 0.8
* Thu Jan 03 2008 Andy Price <andy@andrewprice.me.uk> - 0.7-1
- Initial RPM packaging
